function ClassBg()
{
    this.getImg = new createjs.Container();

    this.img_bg = [[],[],[],[],[],[],[],[]];
    for(var i=0; i<8; i++)
        for(var j=0; j<4; j++)
        {
            this.img_bg[i].push(ss_data.clone());
            this.img_bg[i][j].x = (80*j+40*(i%2))*devise_size - 20*devise_size;
            this.img_bg[i][j].y = (40*devise_size)*i - 20*devise_size;
            this.getImg.addChild(this.img_bg[i][j]);
        }
}

ClassBg.prototype.Re = function()
{
    if(config.lvls[game.level_num].bonus_lvl)
        game_area.style.backgroundColor = "#fcb1f8";
    else
        game_area.style.backgroundColor = "#99cd26";

    for(var i=0; i<8; i++)
        for(var j=0; j<4; j++)
        {
            if(i>=game.grid.height || (j*2+(i%2))>=game.grid.width || game.grid.mass[i][(j*2+(i%2))].ID == -1)
            {
                this.img_bg[i][j].visible = false;
            }
            else
            {
                this.img_bg[i][j].gotoAndStop("block"+((config.lvls[game.level_num].bonus_lvl)? 1 : 0));
                this.img_bg[i][j].visible = true;
            }
        }
};